Subject: Re: [PATCH 01/16] perf: add doc for how to build perf with Asan and UBSan

From: Arnaldo Carvalho de Melo <[email-masked]>
Date: Mon, 18 Mar 2019 17:08:14 -0300

Em Mon, Mar 18, 2019 at 11:07:58AM +0100, Jiri Olsa escreveu:
> On Sat, Mar 16, 2019 at 04:05:41PM +0800, Changbin Du wrote:
> > AddressSanitizer (or ASan) and UndefinedBehaviorSanitizer (or UBSan) are
> > very useful tools to detect program bugs.
> >  o AddressSanitizer (or ASan) is a GCC feature that detects memory
> >    corruption bugs such as buffer overflows or memory leaks.
> >  o UndefinedBehaviorSanitizer (or UBSan) is a fast undefined behavior
> >    detector supprted by GCC. UBSan detect undefined behavior of programs
> >    at runtime.
> > 
> > This patch adds doc for how to use them on perf. Later patches will fix
> > some of the issues disclosed by them.
> > 
> > Signed-off-by: Changbin Du <[email-masked]>
> > ---
> >  tools/perf/Documentation/Build.txt | 20 ++++++++++++++++++++
> >  1 file changed, 20 insertions(+)
> > 
> > diff --git a/tools/perf/Documentation/Build.txt b/tools/perf/Documentation/Build.txt
> > index f6fc6507ba55..cae6e1d9b901 100644
> > --- a/tools/perf/Documentation/Build.txt
> > +++ b/tools/perf/Documentation/Build.txt
> > @@ -47,3 +47,23 @@ Those objects are then used in final linking:
> >  
> >  NOTE this description is omitting other libraries involved, only
> >       focusing on build framework outcomes
> 
> thanks for adding doc, one nit:
> 
> > +
> > +3) buld and install perf
> 
> there's already:
>  2) perf build
>  =============
> 
> please use something like 
> 
>  3) perf build for ASan/UBSan
>  ============================
> 
> > +  $ cd tools/perf
> > +  $ make DESTDIR=/usr
> > +  $ make DESTDIR=/usr install
> > +
> > +4) build with ASan or UBSan
> 
> no need for this label

Did this and appart from the evsel->counts one that I fixed up, all
applied as-is, I added all the Fixes: tags, please consider doing it
next time.

Please take a look after I push it to my perf/core branch.

Thanks,

- Arnaldo